package com.cool.store.enums.HqtEnum;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * 红圈通装修设计要求枚举类
 * </p>
 *
 * @author wangff
 * @since 2026/1/19
 */
@Getter
@AllArgsConstructor
public enum HqtDecorationReqEnum {

    OPTION716("option716", "统一装修设计", "decoration_requirement_uniform"),
    OPTION717("option717", "设备减少", "decoration_requirement_equipment"),
    OPTION718("option718", "其他", "decoration_requirement_other"),
    ;

    /**
     * 红圈通编码
     */
    private final String code;

    /**
     * 描述
     */
    private final String msg;

    /**
     * 字典项编码
     */
    private final String columnCode;

    public static HqtDecorationReqEnum getByColumnCode(String columnCode) {
        for (HqtDecorationReqEnum value : HqtDecorationReqEnum.values()) {
            if (value.columnCode.equals(columnCode)) {
                return value;
            }
        }
        return null;
    }
}
